<?php
/**
* Additional Woocommerce Settings.
*
* @package Elegant Jewellery
*/

$elegant_jewellery_default = elegant_jewellery_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'elegant_jewellery_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'elegant-jewellery' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'elegant_jewellery_theme_option_panel',
	)
);

	$wp_customize->add_setting('elegant_jewellery_per_columns',
		array(
		'default'           => $elegant_jewellery_default['elegant_jewellery_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'elegant_jewellery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('elegant_jewellery_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'elegant-jewellery'),
		'section'     => 'elegant_jewellery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('elegant_jewellery_product_per_page',
		array(
		'default'           => $elegant_jewellery_default['elegant_jewellery_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'elegant_jewellery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('elegant_jewellery_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'elegant-jewellery'),
		'section'     => 'elegant_jewellery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('elegant_jewellery_show_hide_related_product',
    array(
        'default' => $elegant_jewellery_default['elegant_jewellery_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'elegant_jewellery_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('elegant_jewellery_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'elegant-jewellery'),
	        'section' => 'elegant_jewellery_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('elegant_jewellery_custom_related_products_number',
		array(
		'default'           => $elegant_jewellery_default['elegant_jewellery_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'elegant_jewellery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('elegant_jewellery_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'elegant-jewellery'),
		'section'     => 'elegant_jewellery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('elegant_jewellery_custom_related_products_number_per_row',
		array(
		'default'           => $elegant_jewellery_default['elegant_jewellery_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'elegant_jewellery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('elegant_jewellery_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'elegant-jewellery'),
		'section'     => 'elegant_jewellery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);